using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;
using DevExpress.Xpo;
using System.ComponentModel;

namespace DXGridXPOBinding {
  public class Customer : XPObject {
    public Customer(Session session)
      : base(session) { }

    private string name;
    public string Name {
      get {
        return name;
      }
      set {
        SetPropertyValue("Name", ref name, value);
      }
    }

    [Association("Customer-Orders")]
    public XPCollection<Order> Orders {
      get {
        return GetCollection<Order>("Orders");
      }
    }
  }
}
