﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using DevExpress.Xpo;
using DevExpress.Data.Filtering;
using DevExpress.Wpf.Grid;

namespace DXGridXPOBinding {
  public partial class XPServerCollectionSourcePage : Page {
    public XPServerCollectionSourcePage( ) {
      InitializeComponent( );
    }

    UnitOfWork uow;

    protected override void OnInitialized(EventArgs e) {
      base.OnInitialized(e);

      uow = new UnitOfWork();
      customerGrid.DataSource = new XPServerCollectionSource(uow, typeof(Customer));
    }

    private void TableView_FocusedRowChanged(object sender, FocusedRowChangedEventArgs e) {
      var selectedCustomer = customerGrid.View.FocusedRow as Customer;
      if (selectedCustomer != null)
        orderGrid.DataSource = new XPServerCollectionSource(uow, typeof(Order), 
          new BinaryOperator("Customer", selectedCustomer));
    }
  }
}
